Support » Plugin: Metaverse ID » [Plugin: Metaverse ID] So… where do I set it up at?

Viewing 8 replies - 1 through 8 (of 8 total)
  • Plugin Author signpostmarv

    (@signpostmarv)

    When the plugin has been successfully activated, a link is added to the Users menu which provides access to the page from which you add your identities from.

    It points to /wp-admin/users.php?page=mv-id

    Does that resolve the problem ?

    Plugin Author signpostmarv

    (@signpostmarv)

    Oh, and if you were having problems with the Widgets, I’ve just fixed those as of version 1.2

    Hmmm… sadly I’m not seeing this. I see nothing under the user group from menu, or on the users page. And when I attempt to navigate to /wp-admin/users.php?page=mv-id I get the error:
    “You do not have sufficient permissions to access this page.”

    I am logged in as the administrator account, and this is the only account.

    Plugin Author signpostmarv

    (@signpostmarv)

    This seems a little odd, since the error message is generated by WordPress, not MV-ID.

    If you go to line 631 in /metaverse-id/mv-id.php, and change

    public static function admin_actions()
    	{
    		global $user_level;
    		get_currentuserinfo();
    		if($user_level >= 1)

    To the following:

    public static function admin_actions()
    	{
    		global $user_level;
    		get_currentuserinfo();
    		var_dump($user_level);
    		if($user_level >= 1)

    You should see the user level of your account get dumped into the page output (even on the error page). On my local install, this gets displayed as
    string(2) "10"

    From the code you may be able to tell that if the user level is greater than 1, the page gets added to the menu. Tell me what the output indicates the user level to be, but don’t forget to change the PHP script back afterwards.

    Added the code, still not getting any changes. Forced refresh, even deleted all caches & temporary files to make sure it wasn’t stuck somewhere. I’ll take a look at my server settings. Do I need to have php 5.2 to use this? I’m only on 5.1.6 on the server I’m testing this on.

    Plugin Author signpostmarv

    (@signpostmarv)

    This wasn’t a fix, it was part of the debuging process.

    If you put the var_dump() in then go to /wp-admin/, you should see the user level be dumped in various places of the admin dashboard as shown in this image

    Hmmm… it must just be something on my setup causing this error then. I installed a brand new clean install of 3.0, only plugin installed is mv-id and still nothing. Then when I added the var_dump() I noticed no changes as well.

    Image here.

    I guess this is another reason why I should migrate to my new vps, lol

    Edit:
    Just a quick update, I went ahead and installed the plugin on a blog I already have running on the vps, it functioned perfectly. So it’s got to be something that my old hosting was unable to do, perhaps the fact that it was running on php 5.1.6. Works now though, thanks for this great plugin.

    Plugin Author signpostmarv

    (@signpostmarv)

    I’ve never been able to get 5.1.6 working on the local box. I’d have to compile 5.1.6 to run on the remote box to test it thoroughly (though the complete lack of syntax error messages, var_dump() not working etc. seems a bit odd.

    Since you’ve got it working on the new vps, don’t forget to mark the topic as resolved.

    I’m glad you like it 🙂

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘[Plugin: Metaverse ID] So… where do I set it up at?’ is closed to new replies.